Package org.jcsp.net.cns

# Class ChannelNameException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.jcsp.net.cns.ChannelNameException

All Implemented Interfaces:
  `Serializable`

public class ChannelNameException extends IllegalArgumentException
An exception caused by an invalid channel name.

Author:
  Quickstone Technologies Limited
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ChannelNameException()`
Default constructor.
`ChannelNameException(String description)`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChannelNameException

public ChannelNameException()
Default constructor.

### ChannelNameException

public ChannelNameException(String description)
Constructor.

Parameters:
  `description` - Description of the error.